/*
 *  Licensed to the Apache Software Foundation (ASF) under one or more
 *  contributor license agreements.  See the NOTICE file distributed with
 *  this work for additional information regarding copyright ownership.
 *  The ASF licenses this file to You under the Apache License, Version 2.0
 *  (the "License"); you may not use this file except in compliance with
 *  the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

package org.apache.coyote.http11;

import java.io.IOException;

import org.apache.coyote.Response;

/**
 * Output buffer, specific to websockets.
 * 
 * @author Ant Kutschera
 */
public class WebSocketsInternalNioOutputBuffer extends InternalNioOutputBuffer {

    // ----------------------------------------------------------- Constructors

    /**
     * Constructor.
     */
    public WebSocketsInternalNioOutputBuffer(Response response, int headerBufferSize) {
    	super(response, headerBufferSize);
    }
    
    /**
     * Callback to write data from the buffer.
     */
    protected void flushBuffer()
        throws IOException {
    	
    	super.flushBuffer();

//        //write to the socket, if there is anything to write
//        if (socket.getBufHandler().getWriteBuffer().position() > 0) {
//            socket.getBufHandler().getWriteBuffer().flip();
//            writeToSocket(socket.getBufHandler().getWriteBuffer(),true, false);
//        }
    }

    /** 
     * added by ant, becuase otherwise, the 
     * filter that we have on our websockets buffer ruins 
     * the writing of websocket responses */
	public void clearFilters() {
		this.lastActiveFilter = -1;
	}
}
