package org.apache.coyote.websockets;

import java.util.Enumeration;

import javax.servlet.ServletContext;
import javax.servlet.http.HttpSession;
import javax.servlet.websockets.WebSocketsSession;

public class WebSocketsSessionImpl implements WebSocketsSession {

	private final HttpSession httpSession;

	public WebSocketsSessionImpl(HttpSession orig) {
		this.httpSession = orig;
	}
	
	@Override
	public long getCreationTime() {
		return this.httpSession.getCreationTime();
	}

	@Override
	public String getId() {
		return this.httpSession.getId();
	}

	@Override
	public long getLastAccessedTime() {
		return this.httpSession.getLastAccessedTime();
	}

	@Override
	public ServletContext getServletContext() {
		return this.httpSession.getServletContext();
	}

	@Override
	public void setMaxInactiveInterval(int interval) {
		this.httpSession.setMaxInactiveInterval(interval);
	}

	@Override
	public int getMaxInactiveInterval() {
		return this.httpSession.getMaxInactiveInterval();
	}

	@Override
	public Object getAttribute(String name) {
		return this.httpSession.getAttribute(name);
	}

	@Override
	public Enumeration<String> getAttributeNames() {
		return this.httpSession.getAttributeNames();
	}

	@Override
	public void setAttribute(String name, Object value) {
		this.httpSession.setAttribute(name, value);
	}

	@Override
	public void removeAttribute(String name) {
		this.httpSession.removeAttribute(name);
	}

}
